Upgrade Firefox 51 to NSS 3.27

RESOLVED FIXED in Firefox 51

Status

()

defect
P1
normal
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: kaie, Assigned: kaie)

Tracking

51 Branch
mozilla51
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox51+ fixed)

Details

(Whiteboard: [psm-assigned])

Attachments

(1 attachment)

Assignee

Description

3 years ago
Upgrade Firefox 51 to NSS 3.27, which is currently being developed.

We should start by landing a beta tag into mozilla-central for testing, and use this bug to track further uplifts, until we're ready to land 3.27 RTM.
Priority: -- → P1
Whiteboard: [psm-assigned]
Seems like a good idea to track for 51.
Assignee

Comment 7

3 years ago
Tagged NSS_3_27_BETA3 and started a try build:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=0a08925056fc
Assignee

Comment 8

3 years ago
(In reply to Kai Engert (:kaie) from comment #7)
> Tagged NSS_3_27_BETA3 and started a try build:
> https://treeherder.mozilla.org/#/jobs?repo=try&revision=0a08925056fc

I don't see any security related failures, only some intermittent test failures.
Will proceed to land with r=ttaubert from IRC.

Comment 12

3 years ago
Backout by franziskuskiefer@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/6695283842f0
Backed out changeset d2b50233313c - h2 breakage
Assignee

Updated

3 years ago
Depends on: 1303407
Assignee

Updated

3 years ago
Depends on: 1272156
Duplicate of this bug: 1304564

Updated

3 years ago
Blocks: 1304407
Posted file upgrade-to-327rtm
Aurora 51 uses a beta version of NSS.
We must upgrade it to the final release tag.
This is a placeholder attachment, which lists the command used to uplift the RTM tag.
Attachment #8794787 - Flags: review?(kaie)
Attachment #8794787 - Flags: approval-mozilla-aurora?
Assignee

Updated

3 years ago
Attachment #8794787 - Flags: review?(kaie) → review+
Assignee

Comment 21

3 years ago
When landing a new RTM tag, we also must update the configure files to require this newer version.
Assignee

Comment 22

3 years ago
(In reply to Kai Engert (:kaie) from comment #21)
> When landing a new RTM tag, we also must update the configure files to
> require this newer version.

I see this is already done, old-configure.in alraedy requires NSS 3.27
Assignee

Updated

3 years ago
Keywords: leave-open
Assignee

Comment 23

3 years ago
Marking bug as fixed on mozilla-central.

m-c 52 has already been updated to a more recent NSS development snapshot, which includes all changes from the NSS 3.27 release.
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Comment on attachment 8794787 [details]
upgrade-to-327rtm

NSS update, Aurora51+
Attachment #8794787 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
You need to log in before you can comment on or make changes to this bug.